Index: src/map/skill.c
===================================================================
--- src/map/skill.c (revision 23)
+++ src/map/skill.c (revision 24)
@@ -3067,17 +3059,18 @@
 			}
 			break;
-	case AD_DARKHEAL:	// Adept Dark Heal [Brain]
-		// Only player casted spells can be offensive (copyed from AL_HEAL code above)
-		if (sd && (battle_check_living(tstatus->race,tstatus->def_ele)) //Check if target is a living creature
-		&& !pc_checkskill(dstsd,NC_PHYLACTERY) //Or he doesnt have Phylactery (non-perma undead)
-		&& !status_get_sc(bl)->data[SC_OVERWHELMING]) { //Or Overwhelming Evil is off (most cases)
-		if (battle_check_target(src, bl, BCT_ENEMY) < 1) {
-			  //Offensive heal does not works on non-enemies.
-			clif_skill_fail(sd,skillid,0,0);
-			return 0;
-		}
-		return skill_castend_damage_id(src, bl, skillid, skilllv, tick, flag);
-		}
-		break;
+//right place?
+		case AD_DARKHEAL:	// Adept Dark Heal [Brain]
+			// Only player casted spells can be offensive (copyed from AL_HEAL code above)
+			if (sd && (battle_check_living(tstatus->race,tstatus->def_ele)) //Check if target is a living creature
+				&& !pc_checkskill(dstsd,NC_PHYLACTERY) //Or he doesnt have Phylactery (non-perma undead)
+				&& !status_get_sc(bl)->data[SC_OVERWHELMING]) { //Or Overwhelming Evil is off (most cases)
+				if (battle_check_target(src, bl, BCT_ENEMY) < 1) {
+				  	//Offensive heal does not works on non-enemies.
+					clif_skill_fail(sd,skillid,0,0);
+					return 0;
+				}
+				return skill_castend_damage_id(src, bl, skillid, skilllv, tick, flag);
+			}
+			break;
 
 		case NPC_SMOKING: //Since it is a self skill, this one ends here rather than in damage_id. [Skotlex]
@@ -3107,13 +3100,14 @@
 			int heal = skill_calc_heal(src, bl, skilllv);
 			int heal_get_jobexp;
-
+	
 			if (status_isimmune(bl) || (dstmd && dstmd->class_ == MOBID_EMPERIUM))
 				heal=0;
-		// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
-		if(dstsd) {
-		heal = heal * (100 - pc_checkskill(dstsd,AD_PROFANE)*3)/100;
-		//Wont heal even if he got elemental armors [Brain]
-		if(pc_checkskill(dstsd,NC_PHYLACTERY)) heal = skilllv;
-		}
+//To not allow heal for joo
+			// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
+			if(dstsd) {
+				heal = heal * (100 - pc_checkskill(dstsd,AD_PROFANE)*3)/100;
+				//Wont heal even if he got elemental armors [Brain]
+				if(pc_checkskill(dstsd,NC_PHYLACTERY)) heal = skilllv;
+			}
 			if (sd) {
 				if ((i = pc_skillheal_bonus(sd, skillid)))
@@ -3151,24 +3145,22 @@
 		}
 		break;
-
 	case AD_DARKHEAL: // Adept Dark Heal [Brain]
-	{
-		int heal = skill_calc_heal(src, bl, skilllv);
-		if (status_isimmune(bl) || (dstmd && dstmd->class_ == MOBID_EMPERIUM))
-		heal=0;
-		if(battle_check_undead(tstatus->race,tstatus->def_ele) || tstatus->race==RC_UNDEAD // Check if our target is undead or demon
-		|| tstatus->race==RC_DEMON || pc_checkskill(dstsd,NC_PHYLACTERY)//Or has a phylactery
-		|| status_get_sc(bl)->data[SC_OVERWHELMING]) { //Or is on OverWhelm status, checking again...
-		clif_skill_nodamage(src, bl, skillid, heal, 1);
-		clif_skill_nodamage(NULL, bl, AL_HEAL, heal, 1); //Subtle way to show heal numbers AND effect =D
-		status_heal(bl, heal, 0, 0);
-		} else {
-		clif_skill_nodamage(src, bl, skillid, 0, 1);
-		clif_skill_nodamage(NULL, bl, AL_HEAL, 0, 1);
-		}
-	clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite Effect on target
-	}
-	break;
-
+		{
+			int heal = skill_calc_heal(src, bl, skilllv);
+			if (status_isimmune(bl) || (dstmd && dstmd->class_ == MOBID_EMPERIUM))
+				heal=0;
+			if(battle_check_undead(tstatus->race,tstatus->def_ele) || tstatus->race==RC_UNDEAD // Check if our target is undead or demon
+				|| tstatus->race==RC_DEMON || pc_checkskill(dstsd,NC_PHYLACTERY)//Or has a phylactery
+				|| status_get_sc(bl)->data[SC_OVERWHELMING]) { //Or is on OverWhelm status, checking again...
+				clif_skill_nodamage(src, bl, skillid, heal, 1);
+				clif_skill_nodamage(NULL, bl, AL_HEAL, heal, 1); //Subtle way to show heal numbers AND effect =D
+				status_heal(bl, heal, 0, 0);
+			} else {
+				clif_skill_nodamage(src, bl, skillid, 0, 1);
+				clif_skill_nodamage(NULL, bl, AL_HEAL, 0, 1);
+			}
+		clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite Effect on target
+		}
+		break;
 
 	case PR_REDEMPTIO:
@@ -3202,7 +3194,7 @@
 		} else //Invalid target, skip resurrection.
 			break;
-
+		
 	case ALL_RESURRECTION:
-	case NC_DEATHPACT: // Necro Death Pact [Brain]
+ 	case NC_DEATHPACT: // Necro Death Pact [Brain] (Seems fine)
 		if(sd && map_flag_gvg(bl->m))
 		{	//No reviving in WoE grounds!
@@ -3212,5 +3204,5 @@
 		if (!status_isdead(bl))
 			break;
-		{
+		{	
 			int per = 0, sper = 0;
 			if (map[bl->m].flag.pvp && dstsd && dstsd->pvp_point < 0)
@@ -3223,17 +3215,19 @@
 			case 4: per=80; break;
 			case 5: per=100; break; //Added a 5th level because NC_DEATHPACT got 5 lvs [Brain]
-			}
-			if(dstsd && dstsd->special_state.restart_full_recover)
+//above seems ok
+			}
+			if(dstsd && dstsd->special_state.restart_full_recover) 
 				per = sper = 100;
 			if (status_revive(bl, per, sper))
 			{
 				clif_skill_nodamage(src,bl,ALL_RESURRECTION,skilllv,1); //Both Redemptio and Res show this skill-animation.
-						if(skillid==NC_DEATHPACT) { // Necro Death Pact [Brain]
-			clif_skill_nodamage(src, bl, skillid, skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-			break;
-		}
-
-				if(sd && dstsd && battle_config.resurrection_exp > 0)
+//Seriously, how is this right? It just doesnt look right but i may be ignoring something.
+				if(skillid==NC_DEATHPACT) { // Necro Death Pact [Brain]
+					clif_skill_nodamage(src, bl, skillid, skilllv, 
+						sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+					break;
+				}
+
+				if(sd && dstsd && battle_config.resurrection_exp > 0) 
 				{
 					int exp = 0,jexp = 0;
@@ -3253,95 +3247,94 @@
 		}
 		break;
-
+//Huge lump of code here.
 	case AD_PWBLIND: // Adept Power Word: Blind [Brain]
-	if(!tsc->data[type]) {
-		clif_skill_nodamage(src, bl, skillid, skilllv,1);
-		if(sc_start(bl, type,(30 + skilllv * 10 + (status_get_lv(src) - sstatus->int_)/5),
-		skilllv, skill_get_time(skillid,skilllv)))
-		{
-		if(dstmd) mob_unlocktarget(dstmd,tick);  //Removes current target
-		clif_specialeffect(bl, 379, AREA); //379.Soul Drain (2nd Part)
-		break;
-		}
-	} else clif_skill_fail(sd,skillid,0,0);
-	break;
-
+		if(!tsc->data[type]) {
+			clif_skill_nodamage(src, bl, skillid, skilllv,1);
+			if(sc_start(bl, type,(30 + skilllv * 10 + (status_get_lv(src) - sstatus->int_)/5),
+				skilllv, skill_get_time(skillid,skilllv))) 
+			{
+				if(dstmd) mob_unlocktarget(dstmd,tick);  //Removes current target
+				clif_specialeffect(bl, 379, AREA); //379.Soul Drain (2nd Part)
+				break;
+			}
+		} else clif_skill_fail(sd,skillid,0,0);
+		break;
 	case AD_PWFEAR: // Adept Power Word: Fear [Brain]
-	if(!tsc->data[type]) {
-		clif_skill_nodamage(src, bl, skillid, skilllv,1);
-		if(dstsd)
-		type = SC_CONFUSION; //Players cant be affected by SC_FEAR
-		if(sc_start(bl, type, (30 + skilllv * 10), skilllv, skill_get_time(skillid,skilllv)))
-		{
-		clif_specialeffect(bl, 372, AREA); //372.Death
-		unit_escape(bl, bl, 30);
-		}
-	} else clif_skill_fail(sd,skillid,0,0);
-	break;
+		if(!tsc->data[type]) {
+			clif_skill_nodamage(src, bl, skillid, skilllv,1);
+			if(dstsd)
+				type = SC_CONFUSION; //Players cant be affected by SC_FEAR
+			if(sc_start(bl, type, (30 + skilllv * 10), skilllv, skill_get_time(skillid,skilllv)))
+			{
+				clif_specialeffect(bl, 372, AREA); //372.Death
+				unit_escape(bl, bl, 30);
+			}
+		} else clif_skill_fail(sd,skillid,0,0);
+		break;
 	case WL_HOWLOFPAIN: // Warlock Howl of Pain [Brain]
-	//These must be here first or else the code wont execute them.
-	clif_specialeffect(src, 670, AREA); // Monster skill SCREAM effect on caster (no sound)
-	clif_soundeffectall(bl, "wraith_die.wav", 0, AREA); //Wraith Laugh Sound
-	if (flag & 1) {
-		//Check if target is a living creature AND a valid enemy
-		if (battle_check_target(src, bl, BCT_ENEMY) && battle_check_living(tstatus->race,tstatus->def_ele))
-		{
-		if(sc_start(bl,type,10+skilllv*10,skilllv,skill_get_time(skillid,skilllv)))
-		{
-			if(dstmd) //PROVOKE Effect on mobs
-			mob_target(dstmd,src,skill_get_range2(src,skillid,skilllv));
-			// Breaks Frozen and Sleep status
-			if(tsc && tsc->count){
-			if(tsc->data[SC_FREEZE])
-				status_change_end(bl,SC_FREEZE,-1);
-			if(tsc->data[SC_SLEEP])
-				status_change_end(bl,SC_SLEEP,-1);
-			}
-			clif_emotion(bl,6); //anger emote on target
-			break;
-		} else { //What will happen if the status fail:
+		//These must be here first or else the code wont execute them.
+		clif_specialeffect(src, 670, AREA); // Monster skill SCREAM effect on caster (no sound)
+		clif_soundeffectall(bl, "wraith_die.wav", 0, AREA); //Wraith Laugh Sound
+		if (flag & 1) {
+			//Check if target is a living creature AND a valid enemy
+			if (battle_check_target(src, bl, BCT_ENEMY) && battle_check_living(tstatus->race,tstatus->def_ele))
 			{
-			if (sd) //If is a player
-				clif_skill_fail(sd,skillid,0,0);
-			map_freeblock_unlock(); //Else is a mob
-			return 0;
-			}
-			unit_skillcastcancel(bl, 2); //In any case, will cancel casting
-		}
-		}
-	} else {
-		map_foreachinrange(skill_area_sub, src,
-		skill_get_splash(skillid, skilllv), BL_CHAR,
-		src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
-		skill_castend_nodamage_id);
-		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-		map_freeblock_unlock();
-		return 1;
-	}
-	break;
+				if(sc_start(bl,type,10+skilllv*10,skilllv,skill_get_time(skillid,skilllv)))
+				{
+					if(dstmd) //PROVOKE Effect on mobs
+						mob_target(dstmd,src,skill_get_range2(src,skillid,skilllv));
+					// Breaks Frozen and Sleep status
+					if(tsc && tsc->count){
+						if(tsc->data[SC_FREEZE])
+							status_change_end(bl,SC_FREEZE,-1);
+						if(tsc->data[SC_SLEEP])
+							status_change_end(bl,SC_SLEEP,-1);
+					}
+					clif_emotion(bl,6); //anger emote on target
+					break;
+				} else { //What will happen if the status fail:
+					{
+						if (sd) //If is a player
+							clif_skill_fail(sd,skillid,0,0);
+						map_freeblock_unlock(); //Else is a mob
+						return 0;
+					}
+					unit_skillcastcancel(bl, 2); //In any case, will cancel casting
+				}
+			}
+		} else {
+			map_foreachinrange(skill_area_sub, src,
+				skill_get_splash(skillid, skilllv), BL_CHAR,
+				src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
+				skill_castend_nodamage_id);
+			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+			map_freeblock_unlock();
+			return 1;
+		}
+		break;
 	case WL_HOWLOFTERROR: // Warlock Howl of Terror [Brain]
-	if (flag & 1) {
-		int rate;
-		//Check if target is a living creature AND a valid enemy
-		if (battle_check_target(src, bl, BCT_ENEMY)
-		&& battle_check_living(tstatus->race,tstatus->def_ele)) {
-		rate = 10 + skilllv*5 + pc_checkskill(sd,AD_PWFEAR)*3;
-		if(dstsd) {
-			rate -= 10; // 10% less chance on players
-			type = SC_CONFUSION; //Players cant be affected by SC_FEAR
-		}
-		if(sc_start(bl,type,rate,skilllv,skill_get_time(skillid,skilllv)))
-			clif_specialeffect(bl, 372, AREA); //Same as PW: Fear
-		}
-	} else {
-		map_foreachinrange(skill_area_sub, src,
-		skill_get_splash(skillid, skilllv), BL_CHAR,
-		src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
-		skill_castend_nodamage_id);
-		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-	}
-	clif_specialeffect(src, 668, AREA); // Monster skill SCREAM effect on caster (with sound)
-	break;
-
+		if (flag & 1) {
+			int rate;
+			//Check if target is a living creature AND a valid enemy
+			if (battle_check_target(src, bl, BCT_ENEMY)
+				&& battle_check_living(tstatus->race,tstatus->def_ele)) {
+				rate = 10 + skilllv*5 + pc_checkskill(sd,AD_PWFEAR)*3;
+				if(dstsd) { 
+					rate -= 10; // 10% less chance on players
+					type = SC_CONFUSION; //Players cant be affected by SC_FEAR
+				}
+				if(sc_start(bl,type,rate,skilllv,skill_get_time(skillid,skilllv)))
+					clif_specialeffect(bl, 372, AREA); //Same as PW: Fear
+			}
+		} else {
+			map_foreachinrange(skill_area_sub, src,
+				skill_get_splash(skillid, skilllv), BL_CHAR,
+				src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
+				skill_castend_nodamage_id);
+			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+		}
+		clif_specialeffect(src, 668, AREA); // Monster skill SCREAM effect on caster (with sound)
+		break;
+// Would be easy to screw up in that.
 
 	case AL_DECAGI:
@@ -3361,70 +3354,69 @@
 		}
 		break;
-
+//another huge lump
 	case NC_DARKMOON: //Necro Dark Moon [Brain]
-	if (flag&1) {
-		//Check my enemies
-		if (battle_check_target(src, bl, BCT_ENEMY) &&
-		battle_check_living(tstatus->race,tstatus->def_ele))
-		{
-		if(sc_start(bl,SC_BLIND,50,skilllv,skill_get_time(skillid,skilllv)))
-			clif_specialeffect(bl, 580, AREA); //Box of Rain effect on target
-		}
-		else { //Now my Party members
-		if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
-			clif_skill_nodamage(bl,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-			clif_specialeffect(bl, 521, AREA); //Red Flashing Aura Sprite effect on target
-		} else if (sd) {
-			party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
-			src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
-		}
-		}
-	} else {
-		map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
-		src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
-		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-	}
-	clif_specialeffect(src, 407, AREA); //Soul Change Effect on caster
-	clif_soundeffectall(bl, "se_wolf1.wav", 0, AREA); //Wolf Howl Sound
-	break;
+		if (flag&1) {
+			//Check my enemies
+			if (battle_check_target(src, bl, BCT_ENEMY) &&
+				battle_check_living(tstatus->race,tstatus->def_ele))
+			{
+				if(sc_start(bl,SC_BLIND,50,skilllv,skill_get_time(skillid,skilllv)))
+					clif_specialeffect(bl, 580, AREA); //Box of Rain effect on target
+			}
+			else { //Now my Party members
+				if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
+					clif_skill_nodamage(bl,bl,skillid,skilllv,
+					sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+					clif_specialeffect(bl, 521, AREA); //Red Flashing Aura Sprite effect on target
+				} else if (sd) {
+					party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
+						src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
+				}
+			}
+		} else {
+			map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
+				src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
+			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+		}
+		clif_specialeffect(src, 407, AREA); //Soul Change Effect on caster
+		clif_soundeffectall(bl, "se_wolf1.wav", 0, AREA); //Wolf Howl Sound
+		break;
 	case NC_REQUIEM: //Necro Requiem [Brain]
-	if (flag&1) {
-		//Check my enemies
-		if (battle_check_target(src, bl, BCT_ENEMY) &&
-			battle_check_living(tstatus->race,tstatus->def_ele))
-		{
-		if(sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)))
-			clif_specialeffect(bl, 578, AREA); //Box of Curse effect on target
-		}
-		else { //Now my Party members
-		if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
-			clif_skill_nodamage(bl,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-			clif_specialeffect(bl, 572, AREA); //Warmth Soul effect on target
-		} else if (sd) {
-			party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
-			src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
-		}
-		}
-	} else {
-		map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
-		src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
-		clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-	}
-	int rnds = rand()%3;
-	switch(rnds) {
-		case 1:
-		clif_soundeffectall(bl, "chant1.wav", 0, AREA); //Chanting Sound
-		break;
-		case 2:
-		clif_soundeffectall(bl, "chant2.wav", 0, AREA); //Chanting Sound
-		break;
-		case 3:
-		clif_soundeffectall(bl, "chant3.wav", 0, AREA); //Chanting Sound
-		break;
-	}
-	break;
-
+		if (flag&1) {
+			//Check my enemies
+			if (battle_check_target(src, bl, BCT_ENEMY) &&
+					battle_check_living(tstatus->race,tstatus->def_ele))
+			{
+				if(sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)))
+					clif_specialeffect(bl, 578, AREA); //Box of Curse effect on target
+			}
+			else { //Now my Party members
+				if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
+					clif_skill_nodamage(bl,bl,skillid,skilllv,
+					sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+					clif_specialeffect(bl, 572, AREA); //Warmth Soul effect on target
+				} else if (sd) {
+					party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
+						src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
+				}
+			}
+		} else {
+			map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
+				src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
+			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
+		}
+		int rnds = rand()%3;
+		switch(rnds) {
+			case 1:
+				clif_soundeffectall(bl, "chant1.wav", 0, AREA); //Chanting Sound
+				break;
+			case 2:
+				clif_soundeffectall(bl, "chant2.wav", 0, AREA); //Chanting Sound
+				break;
+			case 3:
+				clif_soundeffectall(bl, "chant3.wav", 0, AREA); //Chanting Sound
+				break;
+		}
+		break;
 
 	case PR_LEXDIVINA:
@@ -3432,6 +3424,6 @@
 			status_change_end(bl,type, -1);
 			clif_skill_nodamage (src, bl, skillid, skilllv, 1);
-		} else
-			clif_skill_nodamage (src, bl, skillid, skilllv,
+		} else 
+			clif_skill_nodamage (src, bl, skillid, skilllv, 
 				sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
@@ -3449,5 +3441,5 @@
 			abra_skilllv = min(skilllv, skill_get_max(abra_skillid));
 			clif_skill_nodamage (src, bl, skillid, skilllv, 1);
-
+			
 			if( sd )
 			{// player-casted
@@ -3463,9 +3455,9 @@
 				int target_id = 0;
 				if (!ud) break;
-				if (inf&INF_SELF_SKILL || inf&INF_SUPPORT_SKILL) {
+				if (inf&INF_SELF_SKILL || inf&INF_SUPPORT_SKILL) { 
 					if (src->type == BL_PET)
 						bl = (struct block_list*)((TBL_PET*)src)->msd;
 					if (!bl) bl = src;
-					unit_skilluse_id(src, bl->id, abra_skillid, abra_skilllv);
+					unit_skilluse_id(src, bl->id, abra_skillid, abra_skilllv); 
 				} else {	//Assume offensive skills
 					if (ud->target)
@@ -3480,5 +3472,5 @@
 						bl = map_id2bl(target_id);
 						if (!bl) bl = src;
-						unit_skilluse_pos(src, bl->x, bl->y, abra_skillid, abra_skilllv);
+						unit_skilluse_pos(src, bl->x, bl->y, abra_skillid, abra_skilllv); 
 					} else
 						unit_skilluse_id(src, target_id, abra_skillid, abra_skilllv);
@@ -3554,5 +3546,5 @@
 	case CR_PROVIDENCE:
 		if(sd && dstsd){ //Check they are not another crusader [Skotlex]
-			if ((dstsd->class_&MAPID_UPPERMASK) == MAPID_CRUSADER) {
+			if ((dstsd->class_&MAPID_UPPERMASK) == MAPID_CRUSADER) {	
 				clif_skill_fail(sd,skillid,0,0);
 				map_freeblock_unlock();
@@ -3563,5 +3555,5 @@
 			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
-
+		
 	case CG_MARIONETTE:
 		{
@@ -3661,5 +3653,5 @@
 
 		sc_start(bl,SC_SEVENWIND,100,skilllv,skill_get_time(skillid,skilllv));
-
+			
 		break;
 
@@ -3692,5 +3684,5 @@
 	case LK_BERSERK:
 	case KN_AUTOCOUNTER:
-	case KN_TWOHANDQUICKEN:
+	case KN_TWOHANDQUICKEN:	
 	case KN_ONEHAND:
 	case CR_SPEARQUICKEN:
@@ -3703,5 +3695,5 @@
 	case MO_BLADESTOP:
 	case LK_AURABLADE:
-	case LK_PARRYING:
+	case LK_PARRYING:	
 	case LK_CONCENTRATION:
 	case WS_CARTBOOST:
@@ -3729,55 +3721,57 @@
 	case NPC_DEFENDER:
 	case NPC_MAGICMIRROR:
-	case ALL_ATFIELD:
+	case ALL_ATFIELD:	//AT Field [Brain] ( still dont think this belongs.)
 		clif_skill_nodamage(src,bl,skillid,skilllv,
 			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
+//ANOTHER large lump but it really doesnt feel like it fits here.
 	case AD_LUST:	// Adept Blood Lust [Brain]
-	clif_specialeffect(src, 220, AREA); //Berserk Pot effect
-	clif_specialeffect(src, 455, AREA); //Red Lightnings
-	clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-	break;
+		clif_specialeffect(src, 220, AREA); //Berserk Pot effect
+		clif_specialeffect(src, 455, AREA); //Red Lightnings
+		clif_skill_nodamage(src,bl,skillid,skilllv,
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+		break;
 	case NC_DECREPIFY: //Necro Decrepify [Brain]
-	if(battle_check_living(tstatus->race,tstatus->def_ele)){
-		clif_specialeffect(bl, 403, AREA); //Mind Breaker Effect on target
-		clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-		clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-	}
-	else clif_skill_fail(sd,skillid,0,0);
-	break;
+		if(battle_check_living(tstatus->race,tstatus->def_ele)){
+			clif_specialeffect(bl, 403, AREA); //Mind Breaker Effect on target
+			clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
+			clif_skill_nodamage(src,bl,skillid,skilllv,
+				sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+		}
+		else clif_skill_fail(sd,skillid,0,0);
+		break;
 	case WL_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
-	clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite effect on target
-	clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-	clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-	break;
-	case WL_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
-	clif_specialeffect(bl, 135, AREA); //Ice Breaking effect on target
-	clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-	clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-	break;
-	case WL_CURSETONGUES: // Warlock Curse of Tongues [Brain]
-	clif_specialeffect(bl, 72, AREA); //Spinning Lights effect on target
-	clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-	clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-	break;
-	case WL_CURSEDOOM: // Warlock Curse of Doom (temp) [Brain]
-	if(!tsc->data[type]) {
-		clif_specialeffect(bl, 196, AREA); //Small Curse Reaper effect on target
+		clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite effect on target
 		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
 		clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start4(bl,type,100,
-			skilllv,skillid,src->id,skill_get_time(skillid,skilllv),1000));
-	} else clif_skill_fail(sd,skillid,0,0);
-	break;
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+		break;
+	case WL_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
+		clif_specialeffect(bl, 135, AREA); //Ice Breaking effect on target
+		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+		clif_skill_nodamage(src,bl,skillid,skilllv,
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+		break;
+	case WL_CURSETONGUES: // Warlock Curse of Tongues [Brain]
+		clif_specialeffect(bl, 72, AREA); //Spinning Lights effect on target
+		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+		clif_skill_nodamage(src,bl,skillid,skilllv,
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+		break;
+	case WL_CURSEDOOM: // Warlock Curse of Doom (temp) [Brain]
+		if(!tsc->data[type]) {
+			clif_specialeffect(bl, 196, AREA); //Small Curse Reaper effect on target
+			clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
+			clif_skill_nodamage(src,bl,skillid,skilllv,
+				sc_start4(bl,type,100,
+					skilllv,skillid,src->id,skill_get_time(skillid,skilllv),1000));
+		} else clif_skill_fail(sd,skillid,0,0);
+		break;
 	case WL_OVERWHELMING: // Warlock Overwhelming Evil [Brain]
-	clif_specialeffect(src, 348, AREA); //1000 Blades Trespassing effect on caster
-	clif_skill_nodamage(src,bl,skillid,skilllv,
-		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-	break;
+		clif_specialeffect(src, 348, AREA); //1000 Blades Trespassing effect on caster
+		clif_skill_nodamage(src,bl,skillid,skilllv,
+			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
+		break;
+
 	case MG_SIGHT:
 	case AL_RUWACH:
@@ -3894,5 +3888,5 @@
 		if (!i)
 		{
-			if (sd)
+			if (sd) 
 				clif_skill_fail(sd,skillid,0,0);
 			map_freeblock_unlock();
@@ -3980,5 +3974,5 @@
 			skill_additional_effect(src,bl,skillid,skilllv,BF_MISC,tick); //Use Misc rather than weapon to signal passive pushback
 		}
-		break;
+		break;	
 
 	case MO_ABSORBSPIRITS:
@@ -3996,29 +3990,28 @@
 		clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
 		break;
-
+//this feels more like it fits.
 	case WL_DRAINSOUL: // Warlock Drain Soul [Brain]
-	i = 0;
-	if (dstsd && (sd == dstsd || map_flag_vs(src->m)))
-	{	//check if target is a player and we are in versus map
-		i = tstatus->max_sp * skilllv/100;//i = SkillLv% of player Max SP
-		if(dstsd->spiritball && (dstsd->class_&MAPID_BASEMASK)!=MAPID_GUNSLINGER) {
-		i += dstsd->spiritball * 5;//will drain Monk Spirits and regain 5 SP per Spirit
-		pc_delspiritball(dstsd,dstsd->spiritball,0);
-		}
-	} else if (dstmd && !(tstatus->mode&MD_BOSS) && battle_check_living(tstatus->race,tstatus->def_ele))
-	{	// check if target is a monster and not a Boss
-		i = dstmd->level/5 * skilllv;//i = mob level/5 * Skill Lvl
-		mob_target(dstmd,src,0);//This will turn the mob agressive against the caster
-	}
-	if(i < skilllv) i = skilllv; //Minimum 1 sp per skill lvl
-	if (i) {
-		clif_specialeffect(src, 253, AREA); //Absorb Mana effect on caster
-		clif_specialeffect(bl, 52, AREA); //Lightning Hit effect on target
-		status_heal(src, 0, i, 3); //caster drains sp
-		status_zap(bl, 0, i*skilllv); //target lost sp equal to 1*SkillLv the amount drained
-	}
-	clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
-	break;
-
+		i = 0;
+		if (dstsd && (sd == dstsd || map_flag_vs(src->m)))
+		{	//check if target is a player and we are in versus map
+			i = tstatus->max_sp * skilllv/100;//i = SkillLv% of player Max SP
+			if(dstsd->spiritball && (dstsd->class_&MAPID_BASEMASK)!=MAPID_GUNSLINGER) {
+				i += dstsd->spiritball * 5;//will drain Monk Spirits and regain 5 SP per Spirit
+				pc_delspiritball(dstsd,dstsd->spiritball,0);
+			}
+		} else if (dstmd && !(tstatus->mode&MD_BOSS) && battle_check_living(tstatus->race,tstatus->def_ele))
+		{	// check if target is a monster and not a Boss
+			i = dstmd->level/5 * skilllv;//i = mob level/5 * Skill Lvl
+			mob_target(dstmd,src,0);//This will turn the mob agressive against the caster
+		}
+		if(i < skilllv) i = skilllv; //Minimum 1 sp per skill lvl
+		if (i) {
+			clif_specialeffect(src, 253, AREA); //Absorb Mana effect on caster
+			clif_specialeffect(bl, 52, AREA); //Lightning Hit effect on target
+			status_heal(src, 0, i, 3); //caster drains sp
+			status_zap(bl, 0, i*skilllv); //target lost sp equal to 1*SkillLv the amount drained
+		}
+		clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
+		break;
 
 	case AC_MAKINGARROW:
@@ -4113,5 +4106,5 @@
 		}
 		break;
-
+	
 	case WZ_SIGHTRASHER:
 		//Passive side of the attack.
@@ -4221,5 +4214,5 @@
 	case SM_AUTOBERSERK:	// Celest
 		if (tsce)
-			i = status_change_end(bl, type, -1);
+			i = status_change_end(bl, type, -1);				
 		else
 			i = sc_start(bl,type,100,skilllv,60000);
@@ -4235,5 +4228,5 @@
 		break;
 	case TK_RUN:
-			if (tsce)
+			if (tsce) 
 				clif_skill_nodamage(src,bl,skillid,skilllv,
 					status_change_end(bl, type, -1));
@@ -4331,5 +4324,5 @@
 			if (dstmd)
 				mob_target(dstmd,src,skill_get_range2(src,skillid,skilllv));
-
+			
 			if (tsc->data[SC_STONE]) {
 				status_change_end(bl,SC_STONE,-1);
@@ -4482,5 +4475,5 @@
 		}
 		break;
-
+		
 	case TF_PICKSTONE:
 		if(sd) {
@@ -4539,5 +4532,5 @@
 		//Note that Full Strip autospell doesn't use a duration
 		if (!clif_skill_nodamage(src,bl,skillid,skilllv,
-				skill_strip_equip(bl, location, i, skilllv,
+				skill_strip_equip(bl, location, i, skilllv, 
 				sd&&skillid==ST_FULLSTRIP&&!pc_checkskill(sd, skillid)?0:skill_get_time(skillid,skilllv)))
 			&& sd)
@@ -4695,5 +4688,5 @@
 					continue;
 				switch (i) {
-				case SC_WEIGHT50:    case SC_WEIGHT90:    case SC_HALLUCINATION:
+				case SC_WEIGHT50:    case SC_WEIGHT90:    case SC_HALLUCINATION: 
 				case SC_STRIPWEAPON: case SC_STRIPSHIELD: case SC_STRIPARMOR:
 				case SC_STRIPHELM:   case SC_CP_WEAPON:   case SC_CP_SHIELD:
@@ -4745,5 +4738,5 @@
 				y = src->y + diry[dir]*skilllv*2;
 			}
-
+			
 			clif_skill_nodamage(src,bl,TK_HIGHJUMP,skilllv,1);
 			if(!map_count_oncell(src->m,x,y,BL_PC|BL_NPC|BL_MOB) && map_getcell(src->m,x,y,CELL_CHKREACH)) {
@@ -4789,5 +4782,5 @@
 				} else if (!dstsd || map_flag_vs(bl->m)) //HP damage only on pvp-maps when against players.
 					hp = tstatus->max_hp/50; //Recover 2% HP [Skotlex]
-
+				
 				clif_skill_nodamage(src,bl,skillid,skilllv,1);
 				unit_skillcastcancel(bl,0);
@@ -4799,5 +4792,5 @@
 				else
 					hp = 0;
-
+				
 				if (sp) //Recover some of the SP used
 					sp = sp*(25*(skilllv-1))/100;
@@ -4875,5 +4868,5 @@
 	case NPC_CHANGETELEKINESIS:
 		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv),
+			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv), 
 				skill_get_time(skillid, skilllv)));
 		break;
@@ -4883,5 +4876,5 @@
 		if(tstatus->def_ele==ELE_UNDEAD || tstatus->def_ele==ELE_DARK) break;
 		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv),
+			sc_start2(bl, type, 100, skilllv, skill_get_ele(skillid,skilllv), 
 				skill_get_time(skillid, skilllv)));
 		break;
@@ -4900,5 +4893,5 @@
 					sc_start(bl,type,100,skilllv,skill_time))
 			&& ud) {	//Disable attacking/acting/moving for skill's duration.
-				ud->attackabletime =
+				ud->attackabletime = 
 				ud->canact_tick =
 				ud->canmove_tick = tick + skill_time;
@@ -4944,5 +4937,5 @@
 		}
 		break;
-
+	
 	case NPC_SPEEDUP:
 		{
@@ -5017,5 +5010,5 @@
 			sc_start(bl,type,100,100,skill_get_time(skillid, skilllv)));
 		break;
-
+		
 	case NPC_AGIUP:
 		sc_start(bl,SC_SPEEDUP1,100,skilllv,skill_get_time(skillid, skilllv));
@@ -5029,5 +5022,5 @@
 			sc_start4(bl,type,100,skilllv,0,0,6,skill_get_time(skillid,skilllv)));
 		break;
-
+		
 	case NPC_SIEGEMODE:
 		// not sure what it does
@@ -5179,5 +5172,5 @@
 				return 1;
 			}
-
+	
 			if (tsce)
 			{	//HelloKitty2 (?) explained that this silently fails when target is
@@ -5190,5 +5183,5 @@
 			if (!clif_skill_nodamage(src,bl,skillid,skilllv,
 				sc_start(bl,type,55+5*skilllv,skilllv,skill_get_time(skillid,skilllv))))
-			{
+			{	
 				if (sd) clif_skill_fail(sd,skillid,0,0);
 				map_freeblock_unlock();
@@ -5371,6 +5364,6 @@
 					break;
 				default:
-					break;
-				}
+					break;			
+				}			
 			} while ((--count) > 0);
 			clif_skill_nodamage(src,bl,skillid,skilllv,1);
@@ -5432,10 +5425,10 @@
 			clif_skill_nodamage(src,bl,skillid,skilllv,
 				sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-
+		
 		if (skillid == SL_SKE)
 			sc_start(src,SC_SMA,100,skilllv,skill_get_time(SL_SMA,skilllv));
 
 		break;
-
+		
 	// New guild skills [Celest]
 	case GD_BATTLEORDER:
@@ -5515,5 +5508,5 @@
 				clif_feel_info(sd, skilllv-1, 1);
 		}
-		break;
+		break;	
 
 	case SG_HATE:
